获取自动化事件模式
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/automations/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/automations/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/automations/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sources": {},
"update_semantics": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}自动化(组织)
获取自动化事件模式
返回所有受支持的触发器事件架构,以 source 和事件名称为键。
每个架构描述事件的负载字段、其条件支持的运算符以及 replies 的有效动词,
以便调用方为创建和更新端点构造有效的 triggers。
GET
/
v3
/
organizations
/
{org_id}
/
automations
/
schemas
获取自动化事件模式
权限
ViewOrgAutomations 权限的服务用户。
用法
replies 动词,以便你为创建和更新端点构建有效的 triggers。未在该组织中启用的来源不会返回。授权
服务用户凭据(前缀:cog_)
路径参数
组织 ID(前缀:org-)
示例:
"org-abc123def456"
响应
成功响应
事件源 → 事件名称 → 架构。
Show child attributes
Show child attributes
对此组织生效的 PATCH 语义:'replace_groups'(请求中提供的配置组会完全替换已存储的组)或 'merge_patch'(对象遵循 RFC 7396:组存在时,省略的成员会保留其已存储的值,显式 null 会清除;列表成员仍会完全替换——删除时需重新发送不含该元素的列表——但当某类型在两侧都恰好出现一次时,每个发送的元素都会与已存储的同类型元素合并;重复类型必须完整重新声明)。开放枚举——客户端必须能够兼容新值。
⌘I

